package com.epson.mobilephone.common.wifidirect;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.util.Log;

public class EPLog {
    private static boolean isDebuggable = false;

    public static boolean isDebuggable(Context context) {
        ApplicationInfo applicationInfo;
        try {
            applicationInfo = context.getPackageManager().getApplicationInfo(context.getPackageName(), 0);
        } catch (PackageManager.NameNotFoundException unused) {
            isDebuggable = false;
            applicationInfo = null;
        }
        if ((applicationInfo.flags & 2) == 2) {
            isDebuggable = true;
        }
        return isDebuggable;
    }

    public static final void d(String str, String str2) {
        if (isDebuggable) {
            Log.d(str, str2);
        }
    }

    public static final void e(String str, String str2) {
        if (isDebuggable) {
            Log.e(str, str2);
        }
    }

    public static final void i(String str, String str2) {
        if (isDebuggable) {
            Log.i(str, str2);
        }
    }

    public static final void v(String str, String str2) {
        if (isDebuggable) {
            Log.v(str, str2);
        }
    }

    public static final void w(String str, String str2) {
        if (isDebuggable) {
            Log.w(str, str2);
        }
    }
}
